
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>6倍性能差100TB容量，阿里云POLARDB如何实现？ / iVAN</title>

    <meta name="description" content="6倍性能差100TB容量，阿里云POLARDB如何实现？ 一. POLARDB产品架构简介 POLARDB是阿里云数据库团队研发的基于第三代云计算架构下的商用关系型云数据库产品,实现100%向下兼容MySQL 5.6的同时,支持单库容量扩展至上百TB以及计算引擎能力及存储能力的秒级扩展能力,对比MySQL有6倍性能提升及相对于商业数据库实现大幅度降低成本. 第三代分布式共享存储架构究竟有什么优势? 图为POLARDB的第三代分布式共享存储架构 首先,受益于第三代分布式共享存储架构,使POLARDB实现了计算节点(主要做SQL解析以及存储引擎计算的服务器">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">6倍性能差100TB容量，阿里云POLARDB如何实现？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、 POLARDB产品架构简介</strong></p>
<p>POLARDB是阿里云数据库团队研发的基于第三代云计算架构下的商用关系型云数据库产品，实现100%向下兼容MySQL 5.6的同时，支持单库容量扩展至上百TB以及计算引擎能力及存储能力的秒级扩展能力，对比MySQL有6倍性能提升及相对于商业数据库实现大幅度降低成本。</p>
<p>第三代分布式共享存储架构究竟有什么优势?</p>
<p><a href="http://s5.51cto.com/wyfs02/M01/A5/D8/wKioL1nEakSx2kmlAAENQtXuaBo863.jpg-wh_651x-s_4068056657.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvQTUvRDgvd0tpb0wxbkVha1N4MmttbEFBRU5RdFh1YUJvODYzLmpwZy13aF82NTF4LXNfNDA2ODA1NjY1Ny5qcGc=.jpg"></a></p>
<p>图为POLARDB的第三代分布式共享存储架构</p>
<p>首先，受益于第三代分布式共享存储架构，使POLARDB实现了计算节点(主要做SQL解析以及存储引擎计算的服务器)与存储节点(主要做数据块存储，数据库快照的服务器)的分离，提供了即时生效的可扩展能力和运维能力。</p>
<p>众所周知，在传统数据库上做扩容、备份和迁移等操作，花费的时间和数据库的容量成正比，往往上TB的数据库容量加个只读副本就需要一到两天时间。POLARDB的存储容量可以实现无缝扩展，不管数据量有多大，2分钟内即可实现只读副本扩容，1分钟内即可实现全量备份，为企业的快速业务发展提供了弹性扩展能力。</p>
<p>其次，与传统云数据库一个实例一份数据拷贝不同，POLARDB同一个实例的所有节点(包括读写节点和只读节点)都实现访问存储节点上的同一份数据，使得POLARDB的数据备份耗时实现秒级响应。(备份时间与底层数据量无关)</p>
<p>最后，借助优秀的RDMA网络以及最新的块存储技术，实现服务器宕机后无需搬运数据重启进程即可服务，满足了互联网环境下企业对数据库服务器高可用的需求。</p>
<p><strong>二、 为什么POLARDB能做到6倍于MySQL的性能?</strong></p>
<p>这里我们将分别以存储性能、计算性能来进行解读诠释。</p>
<p><a href="http://s5.51cto.com/wyfs02/M01/A5/D8/wKioL1nEalezv0nTAACokhGtYTc016.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDEvQTUvRDgvd0tpb0wxbkVhbGV6djBuVEFBQ29raEd0WVRjMDE2LmpwZw==.jpg"></a></p>
<p>图为阿里云POLARDB性能全景</p>
<p><strong>1. POLARDB的存储引擎性能优化</strong></p>
<ul>
<li><strong>持续释放硬件红利</strong></li>
</ul>
<p>众所周知，关系型数据库是IO密集型的应用，IO性能的提高对数据库的性能提升至关重要。过去十年我们看到在数据库领域，SSD替换HDD的过程给数据库数据处理的吞吐能力带来了数量级的提升。</p>
<p>POLARDB采用了领先的硬件技术：包括使用3DXpoint存储介质的Optane存储卡、NVMe SSD和RoCE RDMA网络。同时面向新硬件架构实现软硬一体优化：从数据库、文件系统到网络通讯协议、分布式存储系统和设备驱动，POLARDB实现纵贯软件栈各层次的整个IO链条的深度优化。</p>
<p>为了将3DXpoint颗粒的高性能和3D NAND颗粒的低成本结合起来，POLARDB创新的在软件层实现对高速的Optane卡和大容量高吞吐的NVMe SSD进行组合，实现一个名为混合存储层。既保证数据写入的低延迟、高吞吐、高QoS，又使整体方案兼具较高的性价比。</p>
<p><a href="http://s1.51cto.com/wyfs02/M02/A5/D8/wKioL1nEanHD7GBSAABrUrG0c44648.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvQTUvRDgvd0tpb0wxbkVhbkhEN0dCU0FBQnJVckcwYzQ0NjQ4LmpwZw==.jpg"></a></p>
<ul>
<li><strong>旁路内核，榨干硬件能力</strong></li>
</ul>
<p>在POLARDB里，为了追求更高的性能、更低的延迟，阿里云数据库团队大胆的抛弃了Linux内核提供的各种机制，比如块设备、各种文件系统例如ext4，以及TCP/IP协议栈和socket编程接口而选择了另起炉灶。最终，POLARDB实现了一整套在用户态运行的IO和网络协议栈。</p>
<p>POLARDB用户态协议栈解决了内核IO协议栈慢的问题。用户程序在用户态直接通过DMA操作硬件设备，通过轮询的方式监听硬件设备完成IO事件，消除了上下文切换和中断的开销。用户程序还可以将IO处理线程和cpu进行一一映射，每个IO处理线程独占CPU，相互之间处理不同的IO请求，绑定不同的IO设备硬件队列，一个IO请求生命周期从头到尾都在一个线程一颗CPU上处理，不需要锁进行互斥。这种技术实现最大化的和高速设备进行性能交互，实现一颗CPU达每秒约20万次IO处理的能力，并且保持线性的扩展能力，也就意味着4颗CPU可以达到每秒80万次IO处理的能力，在性能和经济型上远高于内核。</p>
<p>网络也是类似的情况。过去传统的以太网，网卡发一个报文到另一台机器，中间通过一跳交换机，大概需要一百到两百微秒。POLARDB支持ROCE以太网，应用程序通过RDMA网络，直接将本机的内存写入另一台机器的内存地址，或者从另一台机器的内存读一块数据到本机，中间的通讯协议编解码、重传机制都由RDMA网卡来完成，不需要CPU参与，使性能获得极大提升，传输一个4k大小报文只需要6、7微秒的时间。如同内核的IO协议栈跟不上高速存储设备能力，再一次的，内核的TCP/IP协议栈跟不上高速网络设备能力，被POLARDB的用户态网络协议栈代替。</p>
<ul>
<li><strong>硬件DMA和物理复制实现的数据库多副本</strong></li>
</ul>
<p>大家都知道关系型数据库的重要特性归纳起来是“ACID”，其中A是原子性，C是约束，I是隔离性，D是持久性。</p>
<p>POLARDB将从两个维度出发，从根本上改进多副本复制。一个是保证数据库ACID中的D(Durable)，把网络、存储硬件提供的DMA能力串起，用硬件通道高性能的把主库的日志数据持久化到三个存储节点的磁盘中;另一个是实现了高效的只读节点，在主库和只读节点之间通过物理复制同步数据，直接更新到只读节点的内存里。 如何实现?</p>
<p>POLARDB实现日志数据持久化到三个存储节点的磁盘中。主库通过RDMA将日志数据发送到存储节点的内存中，存储节点之间再通过RDMA互相复制，每个存储节点用SPDK将数据写入NVMe接口的存储介质里，整个过程CPU不用访问被同步的数据块(Payload)，实现数据零拷贝。</p>
<p>同时由RDMA网卡和NVMe控制器完成数据传输和持久化，CPU仅做状态机的维护，在一致性协议的协调下，把网卡和存储卡两块硬件串起来，存储节点之间数据同步采用并发Raft(Parallel Raft)协议，和Raft协议一样，决议在leader节点上是串行生成和提交的，但并发Raft协议可以允许主从之间乱序同步，简单的说，允许follower节点在漏掉若干条日志的情况先commit并apply后面过来的日志，并异步的去补之前漏掉的日志，数据同步的性能和稳定性都显著优于Raft协议。</p>
<p>POLARDB在主库和只读实例之间的数据流上，放弃了基于binlog的逻辑复制，而是基于innodb的redolog实现了物理复制，从逻辑复制到物理复制对主库和从库性能带来的提升都非常明显。</p>
<p>在主库上，原本引擎需要和binlog做XA事务，事务要等到binlog和redolog同时写盘后才能返回，去掉binlog后，XA事务可以去掉，事务的执行路径更短，IO开销也更小。在从库上，redolog由于是物理复制，仅需比对页面的LSN就可以决定是否回放，天然可以多线程执行，数据的正确性也更有保证，此外，POLARDB的从库收到redolog后只需要更新缓存里的页面，并不需要写盘和IO操作，开销远低于传统多副本复制里的从库。</p>
<ul>
<li><strong>针对数据库加速的Smart Storage</strong></li>
</ul>
<p>POLARDB的存储节点针对数据库的IO workload进行了一些针对性的优化。</p>
<p>IO优先级优化：POLARDB在文件系统和存储节点两层都开了绿色通道，对redolog文件的更新进行优待处理，减少排队，提高IO的优先级。redolog也从512对齐调整为4k对齐，对SSD性能更加友好。</p>
<p>double write优化：POLARDB存储节点原生支持1MB的原子写，因此可以安全关闭double write，从而节省了近一倍的IO开销。</p>
<p>group commit优化：POLARDB里一次group commit可以产生写入几百KB的单个大IO。对于单个SSD，延迟和IO的大小是呈线性的，而POLARDB从文件系统到存储节点都进行一系列优化来保证这种类型的IO能尽快刷下去，针对redolog文件进行条带化，将一个上百KB的大IO切割为一批16KB的较小IO，分发到多个存储节点和不同的磁盘上去执行，进一步的降低关键IO路径的延迟。</p>
<p><strong>2. POLARDB的计算引擎性能优化</strong></p>
<p><a href="http://s3.51cto.com/wyfs02/M01/A5/D8/wKioL1nEaqGDZAlRAAByoNZ53wc917.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvQTUvRDgvd0tpb0wxbkVhcUdEWkFsUkFBQnlvTlo1M3djOTE3LmpwZw==.jpg"></a></p>
<ul>
<li><strong>使用共享存储物理复制</strong></li>
</ul>
<p>由于POLARDB使用共享存储和物理复制，实例的备份恢复也做到完全依赖redolog，因此去掉了binlog。使得单个事务对io的消耗减少，有效减少语句响应时间，提升吞吐量。同时避免了引擎需要与binlog做的XA事务逻辑，事务语句的执行路径更短。</p>
<ul>
<li><strong>锁优化</strong></li>
</ul>
<p>POLARDB针对高并发场景，对引擎内部锁做了大量优化，比如把latch分解成粒度更小的锁，或者把latch改成引用计数的方式从而避免锁竞争，例如Undo segment mutex, log system mutex等等。PolarDB还把部分热点的数据结构改成了Lock Free的结构，例如Server层的MDL锁。</p>
<ul>
<li><strong>日志提交优化</strong></li>
</ul>
<p>Redolog的顺序写性能对数据库性能的影响很大，为了减少Redolog切换时对性能的影响，我们后台采用类似Fallocate的方式预先分配日志文件，此外，现代的SSD硬盘很多都是4K对齐，而MySQL代码还是按照早期磁盘512字节对齐的方式刷日志的，这样会导致磁盘做很多不必要的读操作，不能发挥出SSD盘的性能，我们在这方面也做了优化。我们对日志提交时Group Commit进行优化，同时采用Double RedoLog Buffer提升并行度。</p>
<ul>
<li><strong>复制性能</strong></li>
</ul>
<p>POLARDB中物理复制的性能至关重要，我们不仅通过基于数据页维度的并行提高了性能，还对复制中的必要流程进行了优化，例如在MTR日志中增加了一个长度字段，从而减少了日志Parse阶段的CPU开销，这个简单的优化就能减少60%的日志Parse时间。我们还通过复用Dummy Index的内存数据结构，减少了其在Malloc/Free上的开销，进一步提高复制性能。</p>
<ul>
<li><strong>读节点性能</strong></li>
</ul>
<p>POLARDB的Replica节点，日志目前是一批一批应用的，因此当新的一批日志被应用之前，Replica上的读请求不需要重复创建新的ReadView，可以使用上次缓存下来的。这个优化也能提高Replica上的读性能。</p>
<p><strong>三、 为什么POLARDB能做到远低于商业数据库的成本</strong></p>
<p><a href="http://s2.51cto.com/wyfs02/M02/A5/D8/wKioL1nEatmSrlOCAAB-ppfXQxE780.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvQTUvRDgvd0tpb0wxbkVhdG1TcmxPQ0FBQi1wcGZYUXhFNzgwLmpwZw==.jpg"></a></p>
<ul>
<li><strong>存储资源池化</strong></li>
</ul>
<p>POLARDB采用了一种计算和存储分离的架构，DB运行在计算节点，计算节点组成了一个计算资源池，数据都放在存储节点上，存储节点组成了一个存储资源池。如果CPU和内存不够了，就扩充计算资源池，如果容量或者IOPS不够了，就扩充存储资源池，两个池子都是按需扩容。而且存储节点和计算节点可以分别向两个方向优化，存储节点会选择低配的CPU和内存，提高存储密度，而计算节点可以选择小容量、低配的SSD作为操作系统和日志盘，上多路服务器增加CPU的核数。</p>
<p>而传统的数据库部署模型则是一种烟囱模型，一台主机既跑数据库又存数据，这带来两个问题。一个是机型难以选择，CPU和磁盘的配比主要取决于实际业务的需求，很难提前找到最优比例。第二是磁盘碎片问题，一个生产集群里，总有部分机器磁盘使用率是很低的，有的还不到10%，但出于业务稳定性要求，会要求独占主机的CPU，这些机器上的SSD其实是被浪费的。通过存储资源池化，这两个问题都能得到解决，SSD的利用率得到提高，成本自然也降低下来。</p>
<ul>
<li><strong>透明压缩</strong></li>
</ul>
<p>POLARDB的存储节点除了对ibd文件提供1MB的原子写，消除double write的开销，还支持对ibd文件的数据块进行透明压缩，压缩率可以达到2.4倍，进一步降低了存储成本。</p>
<p>而传统数据库在DB内进行压缩的方案相比，存储节点实现透明压缩不消耗计算节点的CPU，不影响DB的性能，利用QAT卡进行加速，以及在IO路径上用FPGA进行加速。POLARDB的存储节点还支持快照去重(dedup)功能，数据库的相邻快照之间，如果页面没有发生修改，会链接到同一份只读页面上，物理上只会存储一份。</p>
<ul>
<li><strong>0存储成本的只读实例</strong></li>
</ul>
<p>传统数据库做只读实例，实施一写多读方案，是通过搭建只读副本的方案，先拷贝一个最近的全量备份恢复一个临时实例，再让这个临时实例连接主库或者其他binlog源同步增量数据，增量追上后，把这个临时实例加到线上升级为一个只读副本。这种方法一个是耗时，搭建一个只读实例需要的时间与数据量成正比;另一方面也很昂贵，需要增加一份存储成本，比如用户购买一个主实例加上五个只读实例，需要付7~8份存储的钱(7份还是8份取决于主实例是两副本还是三副本)。</p>
<p>而在PolarDB架构中，这两个问题都得到解决，一方面新增只读实例不需要拷贝数据，不管数据量有多大都可以在2分钟内创建出来;另一方面，主实例和只读实例共享同一份存储资源，通过这种架构去增加只读副本，可以做到零新增存储成本，用户只需要支付只读实例消耗的CPU和内存的费用。</p>
<p>POLARDB是未来云数据库的雏形(All in one)，一个数据库即可满足现时多类数据库混合使用效果。阿里云发挥自身自研能力优势，以POLARDB为产品契机，实现数据库OLTP与OLAP的一体化设计，为企业的数字化升级所需的IT设施架构实现革命性进化。   </p>
<p>本文作者：曹伟、林晓斌</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 04:42:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/cpu/" title="cpu">cpu</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93/" title="云数据库">云数据库</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8f%e8%ae%ae%e6%a0%88/" title="协议栈">协议栈</a>, <a href="https://www.iamivan.net/tag/binlog/" title="binlog">binlog</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>6倍性能差100TB容量，阿里云POLARDB如何实现？的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywRwEz.html" rel="bookmark">6倍性能差100TB容量，阿里云POLARDB咋实现&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是6倍性能差100TB容量,阿里云POLARDB咋实现?[IT168 云计算]POLARDB是阿里云数据库团队研发的基于第三代云计算架构下的商用关系型云数据库产品,实现100%向下兼容MySQL 5.6的同时,支持单库容量扩展至上百TB以及计算引擎能力及存储能力的秒级扩展能力,对比MySQL有6倍性能提升及相对于商业数据库实现大幅度降低成本. 第三代分布式共享存储架构究竟有什么优势? ▲POLARDB的第三代分布式共享存储架构 首先,受益于第三代分布式共享存储架构,使POLARDB实现了			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVGA2p.html" rel="bookmark">6倍性能差？POLARDB重新定义数据库标准！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2017云栖大会•北京峰会阿里云高级产品专家贺军做了题为POLARDB性能揭秘的分享.POLARDB是阿里云数据库团队研发的全新一代商用关系型数据库,贺军在POLARDB产品架构,产品特性,性能方面做了详细介绍,产品创新方面亮出了&quot;兵器谱&quot;,一起了解下吧~ # polardb6倍超高性能的奥秘如今随着用户流量大,业务量增加导致的数据的增长,对数据库的性能要求也越来越大,阿里云自主研发的POLARDB解决了传统数据库暴露的问题,与传统数据库不同,技术方面,POLARDB采用了一写多读的架			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZL9Jz.html" rel="bookmark">阿里云POLARDB发布：6倍性能差，100TB容量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云的数据库产品团队已经有了七年的历史.从2011年开始,阿里云每年都会发布两至三个重量级的产品,以及一至两个重要的功能更新.在连续五年时间的里,每一年都有超过一千项以上的功能优化,在2015年发布了1100项功能的优化,而在2016年这个数字是1800项.今年这个数字应该会突破3000项.阿里云的数据库产品包括主流的关系型.NoSQL非关系型数据库.面向大数据和AI的混合分析数据库.面向搜索和物联网等场景的搜索和时序数据库.为了方便用户将数据库上云,阿里云还有配套的迁移管理服务和工具. 阿里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv08z0.html" rel="bookmark">重新定义云数据库 阿里云POLARDB 9月21日发布</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				贪吃蛇.吃豆人.打蜜蜂都是上世纪80-90年代风靡一时的经典游戏,它们见证了一代人的成长,成为他们童年的美好回忆. 今天,阿里云基于以上三款经典游戏发布了一系列的动画海报,似乎要以云计算让陈年老游戏起死回生,颠覆传统体验: 海报中,阿里云通过游戏动态对比展示了&quot;OLD DATABASE&quot;(旧时的数据库)与&quot;POLARDB&quot;(即将发布的全新一代云数据库)的体验差别,并以&quot;有容乃大&quot;.&quot;兼容并蓄&quot;和&quot;游刃有余&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmG83lb.html" rel="bookmark">【阿里云资讯】性能大幅提升70&percnt;，阿里云AliSQL邀请您来测试！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016云栖大会·北京峰会上,阿里云宣布启动AliSQL数据库开源项目.日前,用户内测邀请正式启动.根据阿里云数据库团队的规划,今年10月,开发者将可以在阿里云Code平台和GitHub网站上下载AliSQL. 没有收到内测邀请但感兴趣的用户,可以在以下页面申请参与内测(https://promotion.aliyun.com/ntms/act/alisql.html). AliSQL AliSQL是基于MySQL官方版本的一个分支,由阿里云数据库团队维护,目前也应用于阿里巴巴集团业务以及阿里云			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWnemb.html" rel="bookmark">弹性与性能兼俱，阿里云神龙云服务器全解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				10月12日,在2017杭州云栖大会上,阿里云副总裁李津发布了全新一代的计算类服务器产品--神龙云服务器(X-Dragon Cloud Server). 神龙云服务器是一种可水平弹性伸缩的高性能计算服务,融合了物理机与云服务器的各自优势,实现超强超稳的计算能力.神龙云服务器采用阿里云自主研发的虚拟化2.0技术,让神龙云服务器兼有普通云服务器的弹性和体验,以及物理机的高计算性能和完整特性,同时具备物理级别隔离的优势,真正做到资源零争抢. 先来看一张干货表格,了解神龙云服务器与传统物理机和虚拟机的功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPkAmp.html" rel="bookmark">稳定&plus;性能&plus;价格，阿里云发力ECS企业级产品</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云服务器 ECS(Elastic Compute Service),以简单高效.安全可靠.扩展能力强等特点,在当今互联网飞速发展的今天,成为大多数企业及个人的优先之选.阿里云的ECS系列产品家族凭借业界领先的性能优势,在云服务器市场取得了不凡的战果.近日,为满足企业级客户对计算的高标准需求,阿里云正式发布云服务器ECS企业级产品家族,推出面向173种企业应用场景的19款实例.该系列适合在复杂的企业计算环境下,满足对于高性能.高可靠的计算需求.同时阿里云也新发布了该系列产品中采用25G网络与Sky			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkgkrM.html" rel="bookmark">阿里云RDS金融数据库&lpar;三节点版&rpar; - 性能篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , MySQL , 三节点版 , 金融数据库 , Raft , 分布式共享存储版 背景 终于到了性能篇,三节点同时满足了企业对数据库的可用性.可靠性的要求,那么性能如何呢? 提到性能测试,我有几点一定要说明一下,很多朋友对性能的理解可能有偏差,那么如何评判性能的好坏呢? 1.首先要明确测试的环境,包括数据库主机(主要包括CPU.内存.网卡,如果你的数据库能用上FPGA.GPU的计算能力,还得算上他们,例如PostgreSQL就可以利用GPU和FPGA进行计算加速.).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd9Azj.html" rel="bookmark">阿里云发布自研商用关系型数据库POLARDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是阿里云发布自研商用关系型数据库POLARDB,在企业数据容量环式增长时代,数据库容量小.存储空间扩展缓慢.性能不足,以及扩容升级慢等问题渐显,传统数据库显然已难以支撑诸如物联网.新金融.新零售.新制造.电信等高吞吐场景业务的快速发展. 一场以人类社会数据暴涨驱动的互联网基础设施进化随之而来. 在2017杭州云栖大会前夕的9月21日,阿里云正式发布了自研新一代商用关系型云数据库POLARDB,该数据库采用第三代分布式共享存储架构,创新实现企业级OLTP与OLAP一体化数据库系统整体设计,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNEndb.html" rel="bookmark" class="title">窗口通信-【MFC分割窗口后的单文档怎么变为多文档？？】</a>
					<div>
						问题描述 [MFC分割窗口后的单文档怎么变为多文档??] 网上的办法使过,好像不行:原因可能就是因为窗口被分割了的原因,我将分割窗口的过程全部屏蔽掉以后从单文档变为多文档没有问题.如果加上窗口分割以后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZBl6z.html" rel="bookmark" class="title">Photoshop把美女照片转成手工插画效果</a>
					<div>
						利用PS来制作手工插画是一种相当快捷好用的方法,手工插画经常用于报刊杂志等,相比于照片有时能达到更好的效果,而且可以把整个转手工插画的过程录制为动作,这样就可以实现批量操作,本教程将具体演示照片转手工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWaqAz.html" rel="bookmark" class="title">抛砖引玉&mdash;&mdash;实现LISTVIEW点击COLUMN排序的代码，可实现按时间，字符，数字排序（控件部分）</a>
					<div>
						using System;using System.ComponentModel;using System.Collections;using System.Diagnostics;using Sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvddVz.html" rel="bookmark" class="title">FW制作照片连续滚动效果</a>
					<div>
						本文中我们建立一个具有胶片形式的动态影视Banner,首先制作一个具有胶片效果的边框,接着使用帧面板制作GIF动画效果.主要熟悉Fireworks MX 2004中组合.帧面板.修改画布大小.动画面板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKqDWp.html" rel="bookmark" class="title">java菜单实现</a>
					<div>
						直接在程序片中安放一个菜单是不可能的(Java 1.0,Java1.1和Swing库不允许),因为它们是针对应用程序的.继续,如果您不相信我并且确定在程序片中可以合理地拥有菜单,那么您可以去试验一下. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl7BOb.html" rel="bookmark" class="title">Word入门动画教程135：双行合一</a>
					<div>
						双行合一就是在原始行高不变的情况下,将选定文本以两行并为一行显示.操作步骤如下: 1.选中要进行双行合一的文本.注意:只能在一个段落中选择. 2.执行&quot;格式&quot;→&quot;中文版式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j013b.html" rel="bookmark" class="title">如何转换全角字符到半角字符</a>
					<div>
						我们知道,在windows中,中文和全角字符都占两个字节,并且使用了ascii chart 2 (codes 128–255).我们可以凭这一点来一个个检测用户输入的是否是中文和全角字符.实际上,全角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAgwXb.html" rel="bookmark" class="title">无线路由器如何修改WiFi信道</a>
					<div>
						  有时候我们的无线路由器出现了经常掉线的情况,或者自己的wifi网速很慢的时候想要获得比较好的WiFi信号效果时候,我们需要对自己无线路由器的WiFi信道进行修改,这样避免其它WiFi干扰,这里设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNjOoM.html" rel="bookmark" class="title">Mac版QQ Swiftly插件怎么停用</a>
					<div>
						  Swiftly插件禁用步骤: 1.打开 QQ ,点击屏幕左上角菜单栏,点击&quot;偏好设置&quot;,亦可在打开 QQ 时直接使用组合键 &quot;Command + ,&quot; 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZrWJz.html" rel="bookmark" class="title">Win7下IIS 7的安装配置与文件</a>
					<div>
						  windows 7的IIS的安装与配置: 安装方法 1:通过用户界面安装 1.单击&quot;开始&quot;/&quot;控制面板&quot;/&quot;程序&quot;,选择&quot;打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZQ4Pb.html" rel="bookmark" class="title">flash制作一面五星红旗</a>
					<div>
						  这一节小编教大家运用flash制作五星红旗来熟悉flash中的一些运用. 工具/原料 电脑 flash软件 说明:小编使用的是Adobe flash CS6. 五星红旗制作思路 1.五星红旗长宽比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVK5Zb.html" rel="bookmark" class="title">WDCP面板系统安装mysqli扩展的方法</a>
					<div>
						下载mysqli扩展且安装 mysqli的安装: wget -c http://hubeidc.com/dl/wdcp/mysqli/mysqli_ins.sh &amp;&amp; chmod 75 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6dJ6M.html" rel="bookmark" class="title">支付宝关闭信用卡支付后，招行小额单笔限额提至2000元</a>
					<div>
						信诚人寿·理财头条 商报讯 (记者 周文娟) 距离支付宝此前宣布的关闭信用卡向支付宝充值通道仅剩一天时间,尽管支付宝方面表示,此举并不会影响用户网上购物的客户体验,用户在通过支付宝网上购物时可以通过快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ5RZz.html" rel="bookmark" class="title">保护企业内网数据安全，只需七个步骤</a>
					<div>
						在互联网信息时代,科技飞速发展,随着时间的推移,大多数的企业办公都已经全部实现了网络化,任何企业都建立自己的内部网络和数据存储中心,如何进行企业内网数据安全建设是当今非常重要的话题,对企业内网数据安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NDn9M.html" rel="bookmark" class="title">编程语言中一些令人抓狂的规则</a>
					<div>
						许多年前在编程语言设计和操作系统设计上的选择可能当时看起来无关紧要.但是,这些远古的决定至今仍然继续困扰着软件开发者. 程序员使用的是别人开发出来的编程语言和操作系统以及各种开发工具.一些语言开发和系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRn0Ez.html" rel="bookmark" class="title">支付宝手机网站支付partner错误，求大神，我核对了很多次和商户是一样的</a>
					<div>
						问题描述 支付宝手机网站支付partner错误,求大神,我核对了很多次和商户是一样的 我的网站集成支付宝支付,我的程序流程是这样的:用户选择商品后,进入支付界面,点击确认支付以后,程序会跳转到一个方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK3eYb.html" rel="bookmark" class="title">qt-Qt鼠标点击两个点并自动连接这两个点</a>
					<div>
						问题描述 Qt鼠标点击两个点并自动连接这两个点 在QGraphicsScene中添加Item,在Item中实现点击鼠标连接两个点,要求:鼠标点击第一个点存储坐标作为线段的起点,此时不画线,再点击第二个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjB4oM.html" rel="bookmark" class="title">Python利用pyHook实现监听用户鼠标与键盘事件&lowbar;python</a>
					<div>
						本文以一段简单的监听鼠标.键盘事件的程序,实现获取用户的输入(比如登录某些网站的账号.密码)的功能.经测试,对于一台&quot;裸奔&quot;的电脑,完全能获取到用户输入的任何信息:但是如果安装了杀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6GOp.html" rel="bookmark" class="title">31&period;8&percnt;的网民曾在网购过程中碰到钓鱼网站或诈骗网站</a>
					<div>
						网购遇骗网民的规模达6169万. 发布的&lt;2012年中国网站可信验证行业发展报告&gt;显示,保守估算,每年钓鱼网站或诈骗网站给网民造成的损失不低于308亿元. 报告由中国电子商务协会可信电子商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKZBqp.html" rel="bookmark" class="title">阿里云DTS VS MySQLdump</a>
					<div>
						云平台的到来,使得越来越多用户的数据库由云下迁到云上.对于这种情况,阿里对此提出两种方案,一种是MySQL自带的MySQLdump,另外一种就是阿里云的DTS. DTS支持异构数据源之间的数据迁移同步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ9xVp.html" rel="bookmark" class="title">开源备份新选择Bacula（上）</a>
					<div>
						  [WatchStor独家译文]如果你正在寻找一个好的开源备份解决方案,那么今天就是你的幸运日.对于磁带备份和D2D备份,Bacula是目前一个很受欢迎并且性能良好的开源应用.在上篇中,我们将介绍B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgx19M.html" rel="bookmark" class="title">ie 8-浏览器的浏览模式与文档模式在网页兼容上各占了什么位置</a>
					<div>
						问题描述 浏览器的浏览模式与文档模式在网页兼容上各占了什么位置 在调适网页兼容问题时,发现设置文档模式为ie7标准模式时,会出现各种CSS乱了,文档模式这个主要问题是什么 ,应该怎么调整CSS来适应I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqxy6p.html" rel="bookmark" class="title">java字符串-java中如何理解字符的长度减去一等于最后一个字符的索引</a>
					<div>
						问题描述 java中如何理解字符的长度减去一等于最后一个字符的索引 java中如何理解字符的长度减去一等于最后一个字符的索引 字符的索引是什么意思 解决方案 说的是String里面的private f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWymAM.html" rel="bookmark" class="title">服务器-看异常，用配置没问题。但是注解会报错，求解答！！！</a>
					<div>
						问题描述 看异常,用配置没问题.但是注解会报错,求解答!!! 严重: Error configuring application listener of class ibatis.apache.org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8ZLWp.html" rel="bookmark" class="title">android  点击EditText始终不弹出软件键盘实现代码&lowbar;Android</a>
					<div>
						android  点击EditText始终不弹出软件键盘 场景描述:正常情况下,当点击EditText时,软键盘会弹出来.现在的要求是当点击EditText时,弹日期选择对话框,选择的结果显示在Edi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8v8np.html" rel="bookmark" class="title">Google收录减少排名下降原因分析</a>
					<div>
						google上开始下降的时间是从前天开始的,前天查的时候发现收录数是454,比之前的476少了22篇,关键字E商伯乐的排名也由原来的第一位下跌到了12位,昨天查的时候收录数跌倒了300,关键字E商伯乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Kawz.html" rel="bookmark" class="title">SQL Server 数据库备份和还原认识和总结（二）&lowbar;MsSql</a>
					<div>
						通过&lt;SQL Server 数据库备份和还原认识和总结(一)&gt;,相信您对数据备份和还原有了一个更深入的认识,在上文中我没有对事务日志做剖析,在此推荐宋沄剑的文章,对事务日志做了比较详细的讲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5Dg0z.html" rel="bookmark" class="title">hadoop集群-HADOOP集群主机上运行HADOOP相关命令回车后响应慢</a>
					<div>
						问题描述 HADOOP集群主机上运行HADOOP相关命令回车后响应慢 HADOOP集群主机上运行HADOOP相关命令回车后响应慢,如集群主机上输入hivehbase shell或者hdfs dfs - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/pdvvaAb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4V2EwN0JPSW5lTHRUNzJYY0lXbDZlUlVWOWlhQUlCQ2RaTXRuWkx1RXQ0aWNJMmJ1NVpxRzhUSEdTNnF6UU92aGdEVm9zVzhjVW5BQ2RBLzA=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/pdvvaAb.html" rel="bookmark" class="title">一图以蔽之：医疗中的各种传感器</a>
					<div>
						毫无疑问,传感器在互联网医疗领域扮演着重要角色.在一些细分领域,传感器技术的发展甚至起到了决定性因素.大部分的创业项目着眼在商业模式.资源整合上,而产品核心技术往往通过合作供应商来实现,可是也有一些创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdXvdz.html" rel="bookmark" class="title">OSC 职位推荐 &vert; 选择易企秀＝导师制&sol;硅谷出差&sol;七险一金</a>
					<div>
						作为一个开发,需要懂如何实现需求,但并不需要在乎这个需求到底是用于抽奖活动还是做 social 营销.但自从Html5出来,门往往会借助一些h5来制作social营销.今天来,给众Oscer推荐一家专 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
